<?php

////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2020-02-12 08:05:00
////////////////////


/**
 * Static Model guide_step 引导步骤
 */
class sm_guide_step
{

    /**
    * @var Int32 用途未知！！请到数据库中添加字段注释。  
    */
    public $id;

    /**
    * @var Int32 所属模块id  
    */
    public $tid;

    /**
    * @var Int32 触发其他引导块 default(0) 
    */
    public $relationId;

    /**
    * @var Int32 任务序号 default(0) 
    */
    public $noticeindex;

    /**
    * @var String （窗体）名称  
    */
    public $wname;

    /**
    * @var String 未知-wg2019年10月25日11:45:35  
    */
    public $mark;

    /**
    * @var Int32 是否强制引导 0=非强制 1=强制 default(0) 
    */
    public $isforce;

    /**
    * @var Int32 同级跳跃值 default(0) 
    */
    public $jumpvar;

    /**
    * @var Int32 是否绝对事件（必须点击之后才可以做其他事情） default(0) 
    */
    public $isabsolute;

    /**
    * @var Int32 事件类型
    *      None=0,
    *      /// 进入场景
    *      EnterSence = 1,
    *      /// 战斗角色手动技能满值
    *      BattleRolePower=2,
    *      /// 战斗必杀满值
    *      BattleTeamPower = 3,
    *      /// 战斗开始
    *      BattleStart = 4,
    *      /// 战斗成功
    *      BattleSuccess = 5,
    *      /// 角色死亡
    *      BattleFighterDead=6,
    *      /// UI [窗体控件按钮] 点击事件
    *      UIClick=7,
    *      /// 引导对话框 [强制点击触发结束]
    *      NoviceDialog=8,
    *      /// 服务关闭
    *      ServerClose=9,
    *      /// 角色命名完毕
    *      PlayerNameSet = 10,
    *      /// 窗体打开
    *      WindowOpen=11,
    *      /// 战斗结束
    *      BattleOver=12 default(0) 
    */
    public $triggertype;

    /**
    * @var String 路径 （UI 查询节点时用到）  
    */
    public $path;

    /**
    * @var Int32 回滚方向 默认向下滚动 default(0) 
    */
    public $rollbackup;

    /**
    * @var Int32 是否关键帧 同步网络接口 default(0) 
    */
    public $iskey;

    /**
    * @var Int32 延迟触发时间 default(0) 
    */
    public $delaytime;

    /**
    * @var String 同步弹框(对话)文本  
    */
    public $dialogstr;

    /**
    * @var Int32 对话背景【0=黑色半透明 简约对话框 1=地图 电子对话框】 default(0) 
    */
    public $dialogstyle;

    /**
    * @var String 对话主角（龙骨资源ID）  
    */
    public $dialogroledragon;

    /**
    * @var String 动画名称  
    */
    public $roledragonani;

    /**
    * @var Int32 是否暂停 default(0) 
    */
    public $ispause;

    /**
    * @var String [箭头]偏移  
    */
    public $arrowoffset;

    /**
    * @var Int32 [对话]方向 default(0) 
    */
    public $dialogdir;

    /**
    * @var Int32 是否自动运行 0=false 1=true default(0) 
    */
    public $isautorun;

}

