<?php

namespace loyalsoft;

/**
 * Description of UserGameDataModel
 * 私有状态标志字
 */
class PrivateStateModel extends Object_ext {
// ------------字段声明-------------
//    tian添加7日活动的数据结构

    /**
     * "day7": {  // 初始化user的时候,初始化好day7模块的数据.
      "tasks":{
      "401101": {
      "state": 1, // 1.待完成,2.已完成,待领奖,3.已领奖.
      },
      "dianshu":11
     * }
     * @var object 7日活动数据
     */
    public $day7;

    /**
     *
     * @var int 武器的uid,递增
     */
    public $currentId = 0;

    /**
     *
     * @var int 物品的背包格子的上限 目前和李宁协商的结果是:抽奖可以超上限,物品合成可以超上限,任务奖励可以超上限,只有战斗时候会有限制超过上限,如果继续战斗的话,战斗的奖励品将不会获取.
     */
    public $maxItemNum = 100;

    /**
     *
     * @var int 物品背包格子的数量.
     */
    public $ItemNum;

    /**
     *
     * @var int 当天英雄升级次数
     */
    public $heroshengji;

    /**
     *
     * @var int 当天英雄升阶次数
     */
    public $heroshengjie;

    /**
     *
     * @var int 当天英雄技能升级的次数
     */
    public $herojinhua;

    /**
     *
     * @var int 当天英雄升星次数
     */
    public $heroshengxing;

    /**
     *
     * @var int 当天装备升级次数
     */
    public $ItemUpgrage;

    /**
     *
     * @var int 当天宝石升级次数
     */
    public $GemUpgrage;

    /**
     * "tasks":{
     * "401101": {
     * "state": 1, // 1.待完成,2.已完成,待领奖,3.已领奖.
     * }
     * @var object 任务数据
     */
    public $Tasks;

    /**
     * "tasks":{
     * "401101": {
     * "state": 1, // 1.待完成,2.已完成,待领奖,3.已领奖.
     * "extData": NULL
     * }
     * @var object 成就任务数据
     */
    public $AchiTasks;

    /**
     * 上次获取体力的时间戳
     * @var int
     */
    public $TiliTime;

    /**
     * 登录天数
     * @var array
     */
    public $LoginDays;

    /**
     * 是否领取过每次登录任务
     * @var int是1的话就领取过,0的话就没有领取
     */
    public $LoginTaskComplete;

    /**
     * @var array 兑换码使用记录
     */
    public $usedTokens = array();

    /**
     * @var int 在线礼包领取时间戳(每日清空)
     */
    public $onlineGiftts = 0;

    /**
     *
     * @var int 当前在线礼包ID(每天清空)
     */
    public $onlineGiftID;

    /**
     * @var array 全服注册礼包领取记录
     */
    public $drawedRegGift = array();

    /**
     * @var boolean 首付礼包是否领取
     */
    public $firstPayGift = false;

    /**
     * @var array 每日领取的体力奖励记录
     */
    public $dailyDrawedTiliGift = array();

    /**
     * 排行榜, 战力突破奖领取记录
     * @var array 
     */
    public $RankFpowerRewardRec = array();

    /**
     * 排行榜, 通关记录突破奖励领取记录
     * @var type 
     */
    public $RankPassGateRewardRec = array();

    /**
     * @var int 上次检查被挑战记录的时间戳
     */
    public $lastCheckDefLog_ts = 0;

// <editor-fold defaultstate="collapsed" desc="    初始化    ">

    /**
     * 玩家注册时初始化
     */
    public function initialize() {
// 用于给各个字段赋默认初始值
        $this->day7 = JsonUtil::decode(JsonUtil::encode(array('tasks' => ObjectInit(), 'dianshu' => 0)));
        $this->Tasks = ObjectInit();
        $this->AchiTasks = ObjectInit();
        $this->maxItemNum = GameConfig::primordial_data()->User_Private_MaxItem_num; //100;
        $this->currentId = 0;
        $this->ItemNum = 0;
        $this->GemUpgrage = 0;
        $this->ItemUpgrage = 0;
        $this->herojinhua = 0;
        $this->heroshengji = 0;
        $this->heroshengjie = 0;
        $this->heroshengxing = 0;
        $this->TiliTime = now();

        $this->LoginDays = ArrayInit();
        $this->LoginTaskComplete = 0;

        $this->usedTokens = ArrayInit();
    }

// </editor-fold>
}
