<?php

////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2020-05-28 10:33:25
////////////////////


/**
 * Static Model item_base 道具通用字段表
 */
class sm_item_base
{

    /**
    * @var Int32 查询用的ID  
    */
    public $typeId;

    /**
    * @var String 物品名称 default(物品名称) 
    */
    public $name;

    /**
    * @var String 物品icon名  
    */
    public $icon;

    /**
    * @var String 物品大图片名  
    */
    public $img;

    /**
    * @var String 物品模型资源  
    */
    public $res;

    /**
    * @var String 物品描述 default(物品描述) 
    */
    public $itemDesc;

    /**
    * @var Int32 物品大归类 1武器，2碎片，3材料, 4 言灵 default(0) 
    */
    public $itemType;

    /**
    * @var Int32 物品小分类，详细区分每类物品的作用: 101武器, 201碎片, 301buff卡, 302礼包, 303箱子, 304药剂, 305成长基因,306强化石,307合成素材 default(0) 
    */
    public $subType;

    /**
    * @var Int32 道具可叠加展示的数量上限, 0 代表不可叠加 default(0) 
    */
    public $pileNum;

    /**
    * @var Int32 是否可以从包裹中卖掉 default(0) 
    */
    public $canSell;

    /**
    * @var Int32 道具的回收(从包裹中卖掉)价格 default(0) 
    */
    public $sellPrice;

    /**
    * @var Int32 是否可以在包裹中使用 default(0) 
    */
    public $canUse;

    /**
    * @var Int32 一次可以使用的数量上限 default(0) 
    */
    public $maxUseNum;

    /**
    * @var Int32 品质/稀有度 default(1) 
    */
    public $quality;

}

