<?php

// 仅从主项目导入必要配置
include_once __DIR__ . '/../../globals.php';
require_once __DIR__ . '/../../Amfphp/config.php';

use loyalsoft\config as lyconfig;

// 注意: 此处的配置数据也叫config, 但是与主项目中的$config并没有产生冲突,
//      因为入口不一样, 各自导入自己的config
$config = array(
    'servers' => array(
        array(
            'name' => PROJECTNAME, #               # from globals.php
            'host' => lyconfig::Inst()->nosql->host, # from config.php
            'port' => lyconfig::Inst()->nosql->port, # ..
            'auth' => lyconfig::Inst()->nosql->pwd, ## ..
            'filter' => 'gamecfg-*', #             # configed by gwang
            'flush' => false, #                    # 不能从这里操作
            'databases' => 1, #                    # 云平台限制,仅能有一个db
        ),
    ),
    'seperator' => '-',
    'maxkeylen' => 100,
    'count_elements_page' => 100,
    'keys' => false, // 推荐false, btw 需要redis 2.8以上的版本支持. -- wanggang
    'scansize' => 50
);
